<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>QR-Code Generator Test</title>
</head>
<body>
<div id="content_wrapper" style="width: 400px; margin:auto; border: 1px solid black;text-align:center;padding:15px;">
    <h1 id="title" style="margin-top: 10px;"></h1>
    <div id="qrcode"></div>
    <script src="../pbcdn/vendor/jquery/jquery.min.js?v=[version]"></script>
    <script src="../pbcdn/vendor/qrcode.js?v=[version]"></script>
    <div id="current_value" style="margin-top: 10px;"></div>
    <button id="copy-button">Inhalt kopieren</button>
    <button id="addIcs">Zu meinem Kalender hinzufügen</button>


</div>
<script src="../pbcdn/vendor/aes.js?v=[version]"></script>
<script src="../global/js/helpers.js?v=[version]"></script>

<script src="../pbcdn/vendor/ical/ics.js?v=[version]"></script>
<script src="../pbcdn/vendor/ical/FileSaver.js?v=[version]"></script>
<script src="../pbcdn/vendor/ical/Blob.js?v=[version]"></script>

<script type="text/javascript">
    function decrypt(value) {
        return CryptoJS.AES.decrypt(value, "secret").toString(CryptoJS.enc.Utf8)
    }


    $(document).ready(function () {
        var cal = ics();
	    //cal.addEvent('Demo Event', 'This is an all day event', 'Nome, AK', '5/2/2021', '8/7/2013');
	    cal.addEvent('Demo Event', 'This is thirty minute event', 'Nome, AK', '5/2/2021 5:30 pm', '5/2/2021 6:00 pm');

	    $("#addIcs").click(function() {
	            cal.download()
            })

        const urlParams = new URLSearchParams(window.location.search);
        if (urlParams.get('data')) {
            let data = decrypt(urlParams.get('data'))
            data = JSON.parse(data)
            let text = "Inhalt des QR-Codes: <br/>"
            if (data.title) {
                $("#title").prepend(data.title)

            }
            $("#current_value").prepend(text)
            let textarea = $("<textarea>").html(data.qrcontent)
            textarea.attr("id", "qrcontent")
            textarea.css("width", "100%")
            textarea.prop('readonly', true)
            $("#current_value").append(textarea)
            newQrCode(data.qrcontent)
        }
    })


    $("#copy-button").click(function () {
        window.getSelection().selectAllChildren(document.querySelector("#qrcontent"));
        document.execCommand('copy');
    });

    function clearSelection() {
        window.getSelection().removeAllRanges();
    }

    function newQrCode(value = null) {

        if (value == null) {
            value = makeid(12)
        }
        new QRCode(document.getElementById("qrcode"), {
            text: value,
            width: 256,
            height: 256,
            colorDark: "#000000",
            colorLight: "#ffffff",
            correctLevel: QRCode.CorrectLevel.H,
            border: 4
        });
    }

    function makeid(length) {
        var result = '';
        var characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
        var charactersLength = characters.length;
        for (var i = 0; i < length; i++) {
            result += characters.charAt(Math.floor(Math.random() * charactersLength));
        }
        $("#current_value").html()
        return result;
    }
</script>
</body>
</html>